@font-face {
  font-family: BBCReithSans;
  src: url("https://static.files.bbci.co.uk/fonts/reith/2.512/BBCReithSans_W_Rg.woff2");
}

@font-face {
  font-family: BBCReithSans;
  src: url("https://static.files.bbci.co.uk/fonts/reith/2.512/BBCReithSans_W_Bd.woff2");
  font-weight: bold;
}

@font-face {
  font-family: BBCReithSerif;
  src: url("https://static.files.bbci.co.uk/fonts/reith/2.512/BBCReithSerif_W_Rg.woff2");
}

@font-face {
  font-family: BBCReithSerif;
  src: url("https://static.files.bbci.co.uk/fonts/reith/2.512/BBCReithSerif_W_Bd.woff2");
  font-weight: bold;
}

/* 
 * All CSS variable overrides MUST happen within the following selector
 * in order to override Reuters default styles.
 */
div.theme-client-override {
  /* 
   * Override the following CSS variables to match your site.
   */

  /* Font families */
  --theme-font-family-sans-serif: BBCReithSans, Helvetica, Arial, sans-serif;
  --theme-font-family-monospace: BBCReithSans, monospace;
  --theme-font-family-hed: var(--theme-font-family-sans-serif);
  --theme-font-family-subhed: var(--theme-font-family-sans-serif);
  --theme-font-family-note: var(--theme-font-family-sans-serif);
  --theme-font-family-number: var(--theme-font-family-sans-serif);

  /* Font sizes */
  --theme-font-size-xxs: 0.75rem;
  /* Incumbent */
  --theme-font-size-xs: 0.813rem;
  /* Headings */
  --theme-font-size-sm: 0.75rem;
  /* main text */
  --theme-font-size-base: 0.875rem;
  /* Candidate info */
  --theme-font-size-lg: clamp(1rem, 0.08vw + 0.98rem, 1.05rem);
  --theme-font-size-xl: clamp(1.13rem, 0.31vw + 1.06rem, 1.31rem);
  --theme-font-size-2xl: clamp(1.27rem, 0.63vw + 1.14rem, 1.64rem);
  --theme-font-size-3xl: clamp(1.42rem, 1.04vw + 1.21rem, 2.05rem);
  --theme-font-size-4xl: clamp(1.6rem, 1.6vw + 1.28rem, 2.56rem);
  --theme-font-size-5xl: clamp(1.8rem, 2.34vw + 1.33rem, 3.2rem);
  --theme-font-size-6xl: clamp(2.03rem, 3.3vw + 1.37rem, 4.01rem);

  /* 
  * Colors 
  */

  /* Map colors 
  --theme-colour-map-default: 'var(--theme-colour-grey-300)';
  --theme-colour-map-no-election: 'var(--theme-colour-grey-100)';
  --theme-colour-map-no-results: 'var(--theme-colour-grey-300)';
  --theme-colour-map-reporting-bgd: 'var(--theme-colour-grey-300)';
  --theme-colour-map-reporting-pattern: 'var(--theme-colour-grey-500)';
  --theme-colour-map-legend-exp-vote-100: 'var(--theme-colour-grey-400)';
  --theme-colour-map-legend-exp-vote-200: 'var(--theme-colour-grey-500)';
  --theme-colour-map-legend-exp-vote-300: 'var(--theme-colour-grey-600)';
  */

  /* Font colors */
  --theme-colour-text-primary: var(--theme-colour-black);
  --theme-colour-text-secondary: var(--theme-colour-grey-700);

  /* Page furniture */
  --theme-colour-page-background: #ffffff;
  --theme-colour-page-live: var(--tr-dark-orange);
  --theme-colour-page-shadow: #404040cc;


  /* Basic grays */
  --theme-colour-map-no-election: #D6D6D6; /* "No race in 2024" */
  --theme-colour-white: #ffffff; /* Font colors  */
  --theme-colour-black: #141414; /* Font colors  */
  --theme-colour-grey-100: #E6E8EA; /* Other UI elements */
  --theme-colour-grey-200: #efefef; /* highlights */
  --theme-colour-grey-300: #A8A8A8; /* "Reporting" colour and and Other UI elements */
  --theme-colour-grey-400: #8A8C8E; /* progress bar and the minus icon on the zoom control */
  --theme-colour-grey-500: #3A3C3E; /* "Reporting" colour texture, active state such as tabs and Border colour for the circles */
  --theme-colour-grey-600: #141414; /* Changes the icon colour and the candidate text colour */
  --theme-colour-grey-700: #141414; /* changes the text colour */

  /* Republican colors */
--theme-colour-rep-scale-50: #f4bab1; /* (0 to 50 Vote share) */
  --theme-colour-rep-scale-100: #eb8680; /* (50 to 60 Vote share) */
  --theme-colour-rep-scale-200: #e25351; /* (60 to 70 Vote share) */
  --theme-colour-rep-scale-300: #D92121; /* Winner or main party colour and Max Vote share*/
  --theme-colour-rep-scale-400: #D92121; /* Winner or main party colour*/
  --theme-colour-rep-win: var(--theme-colour-rep-scale-400);
  --theme-colour-rep-bgd: #EAD3DD; /* (0 to 50 Vote share) */
  --theme-colour-rep-lead: #EAD3DD; /* (0 to 50 Vote share) */
  --theme-colour-rep-flip: #D1B4B4; /* secondary line colour with main party colour*/

  /* Democrat colors */
  --theme-colour-dem-scale-50: #9ab6d8; /* (0 to 50 Vote share) */
  --theme-colour-dem-scale-100: #7096d4; /* (50 to 60 Vote share) */
  --theme-colour-dem-scale-200: #4877d0; /* (60 to 70 Vote share) */
  --theme-colour-dem-scale-300: #1f58cc; /* Winner or main party colour*/
  --theme-colour-dem-scale-400: #1f58cc; /* Winner or main party colour*/
  --theme-colour-dem-win: var(--theme-colour-dem-scale-400);
  --theme-colour-dem-bgd: #9ab6d8; /* (0 to 50 Vote share) */
  --theme-colour-dem-lead: #9ab6d8; /* (0 to 50 Vote share) */
  --theme-colour-dem-flip: #9AB6D8; /* secondary line colour with main party colour*/

  /* Independent colors */

  --theme-colour-ind-scale-50: #fdeed9; /* (0 to 50 Vote share) */
  --theme-colour-ind-scale-100: #f3d9a4; /* (50 to 60 Vote share) */
  --theme-colour-ind-scale-200: #eac571; /* (60 to 70 Vote share) */
  --theme-colour-ind-scale-300: #EAAF0A; /* Winner or main party colour*/
  --theme-colour-ind-scale-400: #EAAF0A; /* Winner or main party colour*/
  --theme-colour-ind-win: var(--theme-colour-ind-scale-400);
  --theme-colour-ind-bgd: #FFEDD6; /* (0 to 50 Vote share) */
  --theme-colour-ind-lead: #FFEDD6; /* (0 to 50 Vote share) */
  --theme-colour-ind-flip: #B28508; /* secondary line colour with main party colour*/

  /* Ties */
  --theme-colour-tie-result: #70044F;
  --theme-colour-tie-bgd: #70044F;
  

}


/* 
 * Add any other CSS rules to customise your embeds.
 */


/* Area to control flip text color, currently set to black */
.flip-or-runoff-button {
  font-weight: Bold !important;
  text-shadow:
    -1px -1px 1.5px rgb(0, 0, 0.9),
    /* Top-left shadow */
    1px -1px 1.5px rgb(0, 0, 0.9),
    /* Top-right shadow */
    -1px 1px 1.5px rgb(0, 0, 0.9),
    /* Bottom-left shadow */
    1px 1px 1.5px rgb(0, 0, 0.9);
}

/* Area to control flip text color, on the results table */
.table-number.flipped.winner {
  text-shadow:
    -1px -1px 1.5px rgb(0, 0, 0.9),
    /* Top-left shadow */
    1px -1px 1.5px rgb(0, 0, 0.9),
    /* Top-right shadow */
    -1px 1px 1.5px rgb(0, 0, 0.9),
    /* Bottom-left shadow */
    1px 1px 1.5px rgb(0, 0, 0.9);
}

/* Styling for tooltip pill, to remove the background color */
span.tooltip-dek-pill {
  background: none !important;
  color: var(--theme-colour-black) !important;
  padding: 0;
  font-weight: bold;
}

/* Ensure ties in table are white text */
.candidate-vote-pct.table-number.mathematical-tie{
  color: var(--theme-colour-white) !important;
}

/* Minor fix for pt & sp, if you use the power bar without title or source */
@media (min-width: 620px) {
  .wrapper-officeBody-power-bar.pt, .wrapper-officeBody-power-bar.es{
    min-height:100px;
 }
}